CREATE TABLE grc_ctrl_testplan_actv_h (
    CONTROL_ID               NUMBER(18, 0),
    EFFECTIVE_SEQUENCE       NUMBER(4, 0) ,
    ACTIVITY_CODE            VARCHAR2(120),
    TEST_PLAN_ID             NUMBER(18, 0)    NOT NULL,
    START_DATE               DATE             NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONTROL_ID               NUMBER(18, 0),
    EFFECTIVE_SEQUENCE       NUMBER(4, 0) ,
    ACTIVITY_CODE            VARCHAR2(120),
    TEST_PLAN_ID             NUMBER(18, 0)    NOT NULL,
    START_DATE               DATE             NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_grc_ctrl_testplan_actv_h PRIMARY KEY (CONTROL_ID, EFFECTIVE_SEQUENCE, ACTIVITY_CODE, CONTROL_ID, EFFECTIVE_SEQUENCE, ACTIVITY_CODE)
);
